"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BenchmarkBase {
    measure(fn) {
        const start = performance.now();
        fn();
        const end = performance.now();
        return end - start;
    }
    formatResult(name, firstTime, secondTime, firstName = 'First', secondName = 'Second') {
        const diff = Math.abs(firstTime - secondTime);
        const ratio = Math.max(firstTime, secondTime) / Math.min(firstTime, secondTime);
        const faster = secondTime > firstTime ? 'slower' : 'faster';
        const percentage = ((ratio - 1) * 100).toFixed(2);
        console.log(`\n${name} Times:`);
        console.log(`${firstName}: ${firstTime.toFixed(2)}ms`);
        console.log(`${secondName}: ${secondTime.toFixed(2)}ms`);
        // console.log(`Difference: ${diff.toFixed(2)}ms`);
        console.log(`${secondName} is ${ratio.toFixed(2)}x (${percentage}%) ${faster} than ${firstName}`);
    }
}
exports.default = BenchmarkBase;
//# sourceMappingURL=benchmark.js.map